import request from '@/utils/request'

// 查询企业信息列表
export function listCompany(query) {
  return request({
    url: '/system/company/list',
    method: 'get',
    params: query
  })
}

// 查询企业信息详细
export function getCompany(companyId) {
  return request({
    url: '/system/company/' + companyId,
    method: 'get'
  })
}

// 新增企业信息
export function addCompany(data) {
  return request({
    url: '/system/company/add',
    method: 'post',
    data: data
  })
}

// 修改企业信息
export function updateCompany(data) {
  return request({
    url: '/system/company/upd',
    method: 'post',
    data: data
  })
}

// 删除企业信息
export function delCompany(companyId) {
  return request({
    url: '/system/company/' + companyId,
    method: 'delete'
  })
}

// 导出企业模板下载

export function downTemplate() {
  return request({
    url: '/system/company/export',
    method: 'get',
  })
}

// 开始模板导入 

export function importTemplate() {
  return request({
    url: '/system/company/import',
    method: 'get',
  })
}

// 导入记录 /system/company/export


export function importTemplateRecord() {
  return request({
    url: '/system/company/export',
    method: 'get',
  })
}
// /system/doc/list 慧企政策列表
export function docList() {
  return request({
    url: '/system/doc/list',
    method: 'get',
  })
}
// 新增企业信息 /system/doc/add
export function addDoc(data) {
  return request({
    url: '/system/doc/add',
    method: 'post',
    data: data
  })
}
// 修改政策 /system/doc/upd
export function updDoc(data) {
  return request({
    url: '/system/doc/upd',
    method: 'post',
    data: data
  })
}
// system/doc/ 删除政策
export function delDoc(data) {
  return request({
    url: `/system/doc/${data.delId}`,
    method: 'DELETE',
    data: data
  })
}
// 处理导入信息 
export function doImport(data) {
  return request({
    url: `/system/company/doImport`,
    method: 'post',
    data: data
  })
}
// 上传文件信息/tool/file/upload

export function uploadFile(data) {
  return request({
    url: `/tool/file/upload`,
    method: 'post',
    data: data
  })
}